SendMailFactory (Tomcat API Documentation)
Keywords: org.apache.naming.factory.SendMailFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class SendMailFactory

    java.lang.Object
      org.apache.naming.factory.SendMailFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class SendMailFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Factory class that creates a JNDI named javamail MimePartDataSource object which can be used for sending email using SMTP.

Can be configured in the DefaultContext or Context scope of your server.xml configuration file.

Example:

     <Resource name="mail/send" auth="CONTAINER"
               type="javax.mail.internet.MimePartDataSource"/>
     <ResourceParams name="mail/send">
       <parameter><name>factory</name>
         <value>org.apache.naming.factory.SendMailFactory</value>
       </parameter>
       <parameter><name>mail.smtp.host</name>
         <value>your.smtp.host</value>
       </parameter>
       <parameter><name>mail.smtp.user</name>
         <value>someuser</value>
       </parameter>
       <parameter><name>mail.from</name>
         <value>someuser@some.host</value>
       </parameter>
       <parameter><name>mail.smtp.sendpartial</name>
         <value>true</value>
       </parameter>
      <parameter><name>mail.smtp.dsn.notify</name>
         <value>FAILURE</value>
       </parameter>
       <parameter><name>mail.smtp.dsn.ret</name>
         <value>FULL</value>
       </parameter>
     </ResourceParams>

Author:
  Glenn Nielsen Rich Catlett

Field Summary
`protected java.lang.String` | `DataSourceClassName`

Constructor Summary
`SendMailFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object RefObj, javax.naming.Name Nm, javax.naming.Context Ctx, java.util.Hashtable Env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DataSourceClassName

    protected final java.lang.String DataSourceClassName

See Also:
  Constant Field Values

Constructor Detail

### SendMailFactory

    public SendMailFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object RefObj,
                                              javax.naming.Name Nm,
                                              javax.naming.Context Ctx,
                                              java.util.Hashtable Env)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.